> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Request an account number (Processors Only)

>  

Get account information such as routing number and account number, scoped to your access token.


## OpenAPI

````yaml openapi/platform-api/v20111101.yaml GET /account/account_numbers
openapi: 3.0.0
info:
  contact:
    name: MX Platform API
    url: https://www.mx.com/products/platform-api
  description: >
    The MX Platform API is a powerful, fully-featured API designed to make
    aggregating and enhancing financial data easy and reliable. It can
    seamlessly connect your app or website to tens of thousands of financial
    institutions.
  title: MX Platform API
  version: '20111101'
servers:
  - url: https://int-api.mx.com
  - url: https://api.mx.com
security:
  - basicAuth: []
tags:
  - name: authorization
  - name: widgets
  - name: users
  - name: members
  - name: institutions
  - name: accounts
  - name: transactions
  - name: microdeposits
  - name: managed data
  - name: transaction rules
  - name: statements
  - name: merchants
  - name: categories
  - name: insights
  - name: investment holdings
  - name: spending plan
  - name: goals
  - name: budgets
  - name: monthly cash flow profile
  - name: notifications
  - name: taggings
  - name: tags
  - name: deprecated
  - name: processor token
  - name: verifiable credentials
  - name: rewards
  - name: ach return
paths:
  /account/account_numbers:
    get:
      tags:
        - processor token
      summary: Request an account number (Processors Only)
      description: >-
        Get account information such as routing number and account number,
        scoped to your access token.
      operationId: requestAccountNumber
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProcessorAccountNumberBody'
      security:
        - bearerAuth: []
components:
  schemas:
    ProcessorAccountNumberBody:
      properties:
        account_numbers:
          items:
            allOf:
              - $ref: '#/components/schemas/MemberElements'
              - $ref: '#/components/schemas/ProcessorAccountNumber'
      type: object
    MemberElements:
      properties:
        account_guid:
          example: ACT-283132a4-1401-486a-909e-1605f1623d11
          type: string
        member_guid:
          example: MBR-54feffb9-8474-47bd-8442-de003910113a
          type: string
        user_guid:
          example: USR-101ad774-288b-44ed-ad16-da87d522ea20
          type: string
    ProcessorAccountNumber:
      properties:
        account_number:
          example: 6366816006
          type: integer
        guid:
          example: ACN-68c0b681-78c2-4731-9b41-d6e8ae2846cf
          type: string
        institution_number:
          example: null
        loan_guarantor:
          example: null
        loan_reference_number:
          example: null
        passed_validation:
          example: true
        routing_number:
          example: 242564563
          type: integer
        sequence_number:
          example: null
        transit_number:
          example: null
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    bearerAuth:
      type: http
      scheme: bearer

````